summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Thibaut Notteboom2019-06-04 03:59:09 +0200
committer Willy Sudiarto Raharjo2019-06-09 00:31:20 +0200
commitbd158944340eba8e5edfde7cde0717d4625d1716 (patch)
tree2ead44847a2a0a1e29bb1b8cdb5c4de519030058
parent84f7d553543166ee131c3395de05636af7757977 (diff)
downloadslackbuilds-bd158944340eba8e5edfde7cde0717d4625d1716.tar.gz
network/mod_auth_gssapi: Added (GSSAPI Negotiate module for Apache).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/mod_auth_gssapi/README8
-rw-r--r--network/mod_auth_gssapi/doinst.sh14
-rw-r--r--network/mod_auth_gssapi/mod_auth_gssapi.SlackBuild104
-rw-r--r--network/mod_auth_gssapi/mod_auth_gssapi.conf9
-rw-r--r--network/mod_auth_gssapi/mod_auth_gssapi.info10
-rw-r--r--network/mod_auth_gssapi/slack-desc19
6 files changed, 164 insertions, 0 deletions
diff --git a/network/mod_auth_gssapi/README b/network/mod_auth_gssapi/README
new file mode 100644
index 0000000000..0753ac8a3f
--- /dev/null
+++ b/network/mod_auth_gssapi/README
@@ -0,0 +1,8 @@
+The mod_auth_gssapi is an Apache module designed to provide Kerberos
+authentication to the Apache HTTP Server. This module has been built
+as a replacement for the aging mod_auth_kerb. Its aim is to use only
+GSSAPI calls and be as much as possible agnostic of the actual
+mechanism used.
+
+You will need to add the following line to /etc/httpd/httpd.conf:
+ Include /etc/httpd/extra/mod_auth_gssapi.conf
diff --git a/network/mod_auth_gssapi/doinst.sh b/network/mod_auth_gssapi/doinst.sh
new file mode 100644
index 0000000000..e307001525
--- /dev/null
+++ b/network/mod_auth_gssapi/doinst.sh
@@ -0,0 +1,14 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/httpd/extra/mod_auth_gssapi.conf.new
diff --git a/network/mod_auth_gssapi/mod_auth_gssapi.SlackBuild b/network/mod_auth_gssapi/mod_auth_gssapi.SlackBuild
new file mode 100644
index 0000000000..8f5278cc66
--- /dev/null
+++ b/network/mod_auth_gssapi/mod_auth_gssapi.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for mod_auth_gssapi
+
+# Copyright 2019 Thibaut Notteboom, Paris, FRANCE
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mod_auth_gssapi
+VERSION=${VERSION:-1.6.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LEXLIB="" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/httpd/modules
+install -m 755 src/.libs/mod_auth_gssapi.so $PKG/usr/lib${LIBDIRSUFFIX}/httpd/modules/mod_auth_gssapi.so
+
+mkdir -p $PKG/etc/httpd/extra
+sed "s%@baselibdir@%lib${LIBDIRSUFFIX}%" $CWD/mod_auth_gssapi.conf > \
+ $PKG/etc/httpd/extra/mod_auth_gssapi.conf.new
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/mod_auth_gssapi/mod_auth_gssapi.conf b/network/mod_auth_gssapi/mod_auth_gssapi.conf
new file mode 100644
index 0000000000..359715e9fe
--- /dev/null
+++ b/network/mod_auth_gssapi/mod_auth_gssapi.conf
@@ -0,0 +1,9 @@
+
+LoadModule auth_gssapi_module @baselibdir@/httpd/modules/mod_auth_gssapi.so
+
+<Location /private>
+ AuthType GSSAPI
+ AuthName "GSSAPI Single Sign On Login"
+ GssapiCredStore keytab:/etc/httpd.keytab
+ Require valid-user
+</Location>
diff --git a/network/mod_auth_gssapi/mod_auth_gssapi.info b/network/mod_auth_gssapi/mod_auth_gssapi.info
new file mode 100644
index 0000000000..91dbfd5c8e
--- /dev/null
+++ b/network/mod_auth_gssapi/mod_auth_gssapi.info
@@ -0,0 +1,10 @@
+PRGNAM="mod_auth_gssapi"
+VERSION="1.6.1"
+HOMEPAGE="https://github.com/modauthgssapi/mod_auth_gssapi"
+DOWNLOAD="https://github.com/modauthgssapi/mod_auth_gssapi/releases/download/v1.6.1/mod_auth_gssapi-1.6.1.tar.gz"
+MD5SUM="a8d03852287fac4dbef9b50dc15b71de"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="krb5"
+MAINTAINER="Thibaut Notteboom"
+EMAIL="thibaut.notteboom@gmail.com"
diff --git a/network/mod_auth_gssapi/slack-desc b/network/mod_auth_gssapi/slack-desc
new file mode 100644
index 0000000000..6e5ca71e0e
--- /dev/null
+++ b/network/mod_auth_gssapi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mod_auth_gssapi: mod_auth_gssapi (GSSAPI Negotiate module for Apache)
+mod_auth_gssapi:
+mod_auth_gssapi: The mod_auth_gssapi is an Apache module designed to provide Kerberos
+mod_auth_gssapi: authentication to the Apache HTTP Server. This module has been built
+mod_auth_gssapi: as a replacement for the aging mod_auth_kerb. Its aim is to use only
+mod_auth_gssapi: GSSAPI calls and be as much as possible agnostic of the actual
+mod_auth_gssapi: mechanism used.
+mod_auth_gssapi:
+mod_auth_gssapi:
+mod_auth_gssapi:
+mod_auth_gssapi: